## org.hibernate.metamodel.source
Class MappingNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.metamodel.source.MappingException
                          org.hibernate.metamodel.source.MappingNotFoundException

All Implemented Interfaces:
  Serializable

    public class MappingNotFoundException

extends MappingException

See Also:
  Serialized Form

Constructor Summary
`MappingNotFoundException(Origin origin)`
`MappingNotFoundException(String message, Origin origin)`
`MappingNotFoundException(String message, Throwable root, Origin origin)`
`MappingNotFoundException(Throwable root, Origin origin)`

Method Summary

Methods inherited from class org.hibernate.metamodel.source.MappingException
`getOrigin`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingNotFoundException

    public MappingNotFoundException(String message,
                                    Origin origin)

### MappingNotFoundException

    public MappingNotFoundException(Origin origin)

### MappingNotFoundException

    public MappingNotFoundException(String message,
                                    Throwable root,
                                    Origin origin)

### MappingNotFoundException

    public MappingNotFoundException(Throwable root,
                                    Origin origin)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.